package cn.com.poc.writing.rest;

import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.poc.writing.dto.BizAiWritingDialoguesRecordDto;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;

public interface BizAiWritingDialoguesRecordRest extends BaseRest {

    BizAiWritingDialoguesRecordDto getById(java.lang.Long id) throws Exception;
    
    List<BizAiWritingDialoguesRecordDto> getList(BizAiWritingDialoguesRecordDto example,PagingInfo pagingInfo) throws Exception;
        
    BizAiWritingDialoguesRecordDto save(BizAiWritingDialoguesRecordDto dto) throws Exception;

    BizAiWritingDialoguesRecordDto update(BizAiWritingDialoguesRecordDto dto) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
        
}